# Enum ARTrackingState

java.lang.Object
java.lang.Enum<ARTrackingState>
com.codename1.ar.ARTrackingState

All Implemented Interfaces:
  `Comparable<ARTrackingState>`

public enum ARTrackingState extends Enum<ARTrackingState>
The quality of pose tracking for an `ARSession` or an individual trackable such as an `ARAnchor` or `ARPlane`.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LIMITED`
  Tracking is running with degraded quality; see `ARSession#getTrackingFailureReason()` for the cause.
  `NOT_TRACKING`
  Tracking is unavailable; poses are stale or meaningless.
  `TRACKING`
  Tracking is running normally.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ARTrackingState`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ARTrackingState[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_TRACKING

    public static final ARTrackingState NOT_TRACKING
    Tracking is unavailable; poses are stale or meaningless.

  - ### LIMITED

    public static final ARTrackingState LIMITED
    Tracking is running with degraded quality; see `ARSession#getTrackingFailureReason()` for the cause.

  - ### TRACKING

    public static final ARTrackingState TRACKING
    Tracking is running normally.

- ## Method Details

  - ### values

    public static ARTrackingState[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ARTrackingState valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null